<?php
/**
 * UsersApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CustomerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Customer Auth
 *
 * Клиентская авторизация
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CustomerAuthClient;

use \Ensi\CustomerAuthClient\Configuration;
use \Ensi\CustomerAuthClient\ApiException;
use \Ensi\CustomerAuthClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * UsersApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CustomerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class UsersApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createUser
     *
     * Создание объекта типа User.
     *
     */
    public function testCreateUser()
    {
    }

    /**
     * Test case for deleteUser
     *
     * Удаление объекта типа User.
     *
     */
    public function testDeleteUser()
    {
    }

    /**
     * Test case for getCurrentUser
     *
     * Получить текущего пользователя.
     *
     */
    public function testGetCurrentUser()
    {
    }

    /**
     * Test case for getUser
     *
     * Получение объекта типа User.
     *
     */
    public function testGetUser()
    {
    }

    /**
     * Test case for passwordReset
     *
     * Сброс пароля.
     *
     */
    public function testPasswordReset()
    {
    }

    /**
     * Test case for passwordResetSecond
     *
     * Сброс пароля.
     *
     */
    public function testPasswordResetSecond()
    {
    }

    /**
     * Test case for patchUser
     *
     * Обновления части полей объекта типа User.
     *
     */
    public function testPatchUser()
    {
    }

    /**
     * Test case for refreshPasswordToken
     *
     * Обновление токена для установки пароля.
     *
     */
    public function testRefreshPasswordToken()
    {
    }

    /**
     * Test case for searchOneUser
     *
     * Поиск объекта типа User.
     *
     */
    public function testSearchOneUser()
    {
    }

    /**
     * Test case for searchUsers
     *
     * Поиск объектов типа User.
     *
     */
    public function testSearchUsers()
    {
    }
}
